class QuickLinksModel {
  int totalItemsCount;
  int statusCode;
  String message;
  List<QuickLinksData> data;

  QuickLinksModel({this.totalItemsCount, this.statusCode, this.message, this.data});

  QuickLinksModel.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new QuickLinksData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class QuickLinksData {
  int quickLinksId;
  String displayText;
  String description;
  String imageUrl;
  String position;
  int orderNo;
  String fileName;
  String exposeFilePath;

  QuickLinksData({this.quickLinksId, this.displayText, this.description, this.imageUrl, this.position, this.orderNo, this.fileName, this.exposeFilePath});

  QuickLinksData.fromJson(Map<String, dynamic> json) {
    quickLinksId = json['quickLinksId'];
    displayText = json['displayText'];
    description = json['description'];
    imageUrl = json['imageUrl'];
    position = json['position'];
    orderNo = json['orderNo'];
    fileName = json['fileName'];
    exposeFilePath = json['exposeFilePath'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['quickLinksId'] = this.quickLinksId;
    data['displayText'] = this.displayText;
    data['description'] = this.description;
    data['imageUrl'] = this.imageUrl;
    data['position'] = this.position;
    data['orderNo'] = this.orderNo;
    data['fileName'] = this.fileName;
    data['exposeFilePath'] = this.exposeFilePath;
    return data;
  }
}
